<template>
  <div>
    <AppBar />    
      <v-container>
        <v-row align="center" justify="space-between">
      <h1>Your notes</h1> <v-btn color="info" to="/notes/create">Create </v-btn>
        </v-row>
      <v-divider class="py-4"></v-divider>
      <v-row >
        <v-col v-for="(note, index) in notes" cols="12" md="4" :key="index">
          <v-card color="#385F73" dark>
            <v-card-title class="headline">
              {{ note.title }}
            </v-card-title>

            <v-card-subtitle
              >{{note.body}}</v-card-subtitle
            >

            <v-card-actions>
              <v-btn text> Listen Now </v-btn>
            </v-card-actions>
          </v-card>
        </v-col>
      </v-row>     
      </v-container>           
  </div>
</template>

<script>
// @ is an alias to /src

import AppBar from "../components/AppBar";

import { mapState, mapActions } from "vuex";

export default {
  name: "Home",
  components: {
    AppBar,
  },
  created() {
    this.fetchNotes().then(() => {
      
    });
  },
  computed: {
    ...mapState(["notes"]),
  },
  methods: {
    ...mapActions(["fetchNotes"]),
    createNote() {
      let note = {
        title: "vue",
        body: "Crack",
      };
      notes.createNote(note);
    },
  },
};
</script>
